<?php

global $oPlugin;

require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_all.helper.php';

$helper = agwsPluginHelperAll::getInstance($oPlugin);

if ($helper->isShop4()) {
    $smarty = Shop::Smarty();
} else {
    global $smarty;
}

$cMitteilung = "";
$bErrorFlag = 0;

if (isset($_GET['step']) && $_GET['step'] == "neu_mindermengenzuschlag") {

    $agws_mindermengenzuschlag_kKundengruppe = $_POST['mindermengenzuschlag_kundengruppe'];
    $agws_mindermengenzuschlag_fMindestNetto_min = str_replace(',', '.', $_POST['mindermengenzuschlag_minnettomin']);
    $agws_mindermengenzuschlag_fMindestNetto_max = str_replace(',', '.', $_POST['mindermengenzuschlag_minnettomax']);
    $agws_mindermengenzuschlag_fZuschlagNetto = str_replace(',', '.', $_POST['mindermengenzuschlag_zuschlagnetto']);

    if ($agws_mindermengenzuschlag_kKundengruppe != '-1' && $agws_mindermengenzuschlag_kKundengruppe != '' && $agws_mindermengenzuschlag_fMindestNetto_min != '' && $agws_mindermengenzuschlag_fMindestNetto_max != '' && $agws_mindermengenzuschlag_fZuschlagNetto != '') {
        $sql = "INSERT INTO xplugin_agws_mindermengenzuschlag_zuschlag
					(kKundengruppe, fMindestNetto_min, fMindestNetto_max, fZuschlagNetto)
					VALUES ('" . $agws_mindermengenzuschlag_kKundengruppe . "', '" . $agws_mindermengenzuschlag_fMindestNetto_min . "', '" . $agws_mindermengenzuschlag_fMindestNetto_max . "', '" . $agws_mindermengenzuschlag_fZuschlagNetto . "')";
        Shop::DB()->query($sql, 3);
        $cMitteilung = "Datensatz wurde erfolgreich zugefgt!";
    } else {
        $cMitteilung = "Eingabe ung&uuml;ltig. Bitte berprfen Sie Ihre Daten!";
        $bErrorFlag = 1;
    }
}

if (isset($_GET['step']) && $_GET['step'] == 'edit_mindermengenzuschlag') {

    $agws_mindermengenzuschlag_kZuschlag = $_GET['id'];
    $agws_mindermengenzuschlag_kKundengruppe = $_POST['mindermengenzuschlag_kundengruppe'];
    $agws_mindermengenzuschlag_fMindestNetto_min = str_replace(',', '.', $_POST['mindermengenzuschlag_minnettomin']);
    $agws_mindermengenzuschlag_fMindestNetto_max = str_replace(',', '.', $_POST['mindermengenzuschlag_minnettomax']);
    $agws_mindermengenzuschlag_fZuschlagNetto = str_replace(',', '.', $_POST['mindermengenzuschlag_zuschlagnetto']);

    $sql = "UPDATE xplugin_agws_mindermengenzuschlag_zuschlag SET `kKundengruppe`='" . $agws_mindermengenzuschlag_kKundengruppe . "', `fMindestNetto_min`='" . $agws_mindermengenzuschlag_fMindestNetto_min . "', `fMindestNetto_max`='" . $agws_mindermengenzuschlag_fMindestNetto_max . "', `fZuschlagNetto`='" . $agws_mindermengenzuschlag_fZuschlagNetto . "' WHERE kZuschlag='" . $agws_mindermengenzuschlag_kZuschlag . "'";
    Shop::DB()->query($sql, 3);

    unset($agws_mindermengenzuschlag_kZuschlag, $agws_mindermengenzuschlag_kKundengruppe, $agws_mindermengenzuschlag_fMindestNetto_min, $agws_mindermengenzuschlag_fMindestNetto_max, $agws_mindermengenzuschlag_fZuschlagNetto);
    $cMitteilung = "Datensatz wurde erfolgreich gendert!";
}

if (isset($_GET['step']) && $_GET['step'] == 'del_mindermengenzuschlag') {

    $agws_mindermengenzuschlag_kZuschlag = $_GET['id'];

    $sql = "DELETE FROM xplugin_agws_mindermengenzuschlag_zuschlag 
              WHERE kZuschlag='" . $agws_mindermengenzuschlag_kZuschlag . "'";
    Shop::DB()->query($sql, 4);
    $cMitteilung = "Datensatz wurde erfolgreich gelscht!";
}

$sql = "SELECT xplugin_agws_mindermengenzuschlag_zuschlag.kZuschlag, tkundengruppe.kKundengruppe, tkundengruppe.cName, xplugin_agws_mindermengenzuschlag_zuschlag.fMindestNetto_min, xplugin_agws_mindermengenzuschlag_zuschlag.fMindestNetto_max, xplugin_agws_mindermengenzuschlag_zuschlag.fZuschlagNetto
          FROM tkundengruppe, xplugin_agws_mindermengenzuschlag_zuschlag
          WHERE tkundengruppe.kKundengruppe=xplugin_agws_mindermengenzuschlag_zuschlag.kKundengruppe
          ORDER BY tkundengruppe.kKundengruppe ASC, xplugin_agws_mindermengenzuschlag_zuschlag.fMindestNetto_min ASC";
$agws_mindermengenzuschlag_all_arr = Shop::DB()->query($sql, 2);

$sql = "SELECT tkundengruppe.kKundengruppe, tkundengruppe.cName
          FROM tkundengruppe
          ORDER BY tkundengruppe.kKundengruppe ASC";
$agws_mindermengenzuschlag_kdgrp_arr = Shop::DB()->query($sql, 2);

$smarty->assign("agws_mindermengenzuschlag_all_arr", $agws_mindermengenzuschlag_all_arr);
$smarty->assign("agws_mindermengenzuschlag_kdgrp_arr", $agws_mindermengenzuschlag_kdgrp_arr);
$smarty->assign("okPlugin", $oPlugin->kPlugin);
$smarty->assign("cMitteilung", $cMitteilung);
$smarty->assign("bErrorFlag", $bErrorFlag);

$smarty->display($oPlugin->cAdminmenuPfad . "templates/agws_mindermengenzuschlag_dash.tpl");